Migration Toolkit (can't install python-migrate)

Discussion in 'Plugins/Modules/Addons' started by SparkyRih, Jun 23, 2018.

  1. SparkyRih

    SparkyRih Member

    So I need to migrate an ISPConfig 3.1 (Ubuntu 16.04) to a new ISPConfig 3.1 (freshly installed Ubuntu 18.04, all services are running) server.

    So I bought the Migration Toolkit for €60,- thinking it would be easy to do it that way...

    But when I try to run the migration tool, it says that I should install the "python-migrate" package. Which is not possible due to dependencies not being available anymore?

    Any help?
     
    Last edited: Jun 23, 2018
  2. Taleman

    Taleman Active Member HowtoForge Supporter

  3. SparkyRih

    SparkyRih Member

    For some reason I didn't find that tutorial in my search...

    I also should have known that I should have used ./migrate without even reading anything...

    Well, thank you very much for your answer, I think this is gonna work fine :)
     
  4. SparkyRih

    SparkyRih Member

    Well I got through everything, a dry run appears to work, but when I do the actual migration it throws an error:

    I did properly walk through the tutorial, so I did make the changes in /usr/local/ispconfig/security/security_settings.ini on the target machine, and in an attempt to resolve the issue also on the source machine...

    Am I walking into a bug? Or am I doing something wrong?
     
  5. Taleman

    Taleman Active Member HowtoForge Supporter

    Double check that your remote user has all the checkboxes selected.
    E-mailing migsupport will help you, but they may be asleep now.
     
  6. SparkyRih

    SparkyRih Member

    I checked thos checkboxes a couple of times, but they're all enabled...

    I've send them an e-mail... Luckily it's not a life or deth situation, but hopefully I'll hear from them soon :D
     
  7. Taleman

    Taleman Active Member HowtoForge Supporter

    Check your Apache Webserver Logfile for the errors at the time the mentioned errors occured in the migration log.
     
  8. SparkyRih

    SparkyRih Member

    Thanks for the advise!

    The SoapClient on the target machine was missing... It's migrating as I write this :)
     

Share This Page